Bug 252958 - usb stick doesn't get auto mounted
usb stick doesn't get auto mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
All Linux
high Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 07:42 EDT by Martin
Modified: 2013-03-05 22:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hald informations (369.48 KB, text/plain)
2007-08-16 19:35 EDT, Martin
no flags Details

  None (edit)
Description Martin 2007-08-16 07:42:20 EDT
+++ This bug was initially created as a clone of Bug #214040 +++

Description of problem:
upen insertion of a usb memory stick it should automatically show up on the
gnome desktop. However it does not. I am working as root user, but problem still 
the same as normal user.

Version-Release number of selected component (if applicable):
gnome-volume-manager-2.17.0-7.fc7
gnome-mount-0.6-2.fc7
dbus-1.0.2-6.fc7
udev-113-9.fc7
hal-devel-0.5.9-8.fc7
hal-info-20070516-2.fc7
hal-cups-utils-0.6.9.2-1.fc7
hal-0.5.9-8.fc7
hal-libs-0.5.9-8.fc7


How reproducible:
Always

Steps to Reproduce:
1.Insert USB stick
2.Wait...
3.Nothing visible happens
  
Actual results:
Nothing

Expected results:
USB stick should get auto mounted and a Desktop icon should appear.

Additional info:
The device appears in /var/log/messages, and as root I am able to mount it
manually to any location. The settings in gnome-volume-properties are correct.

CD-ROMs are mounted just fine (Desktop Icons appears)

dmesg messages on fc7:
usb 5-6: new high speed USB device using ehci_hcd and address 5
usb 5-6: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device scan complete
scsi 5:0:0:0: Direct-Access     OLYMPUS  MAUSB-100        1.00 PQ: 0 ANSI: 2
sd 5:0:0:0: [sdc] 256000 512-byte hardware sectors (131 MB)
sd 5:0:0:0: [sdc] Write Protect is off
sd 5:0:0:0: [sdc] Mode Sense: 17 00 00 08
sd 5:0:0:0: [sdc] Assuming drive cache: write through
sd 5:0:0:0: [sdc] 256000 512-byte hardware sectors (131 MB)
sd 5:0:0:0: [sdc] Write Protect is off
sd 5:0:0:0: [sdc] Mode Sense: 17 00 00 08
sd 5:0:0:0: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 5:0:0:0: [sdc] Attached SCSI removable disk
sd 5:0:0:0: Attached scsi generic sg4 type 0

Fedora 8 test1 mounts my usb stick correct and a Desktop icon appears,
why not on Fedora 7 ?
Comment 1 Harald Hoyer 2007-08-16 10:06:49 EDT
1. try udev-113-10
# yum --enablerepo=updates-testing update udev

2. run:
# udevmonitor
insert your stick

and show me the output
Comment 2 Martin 2007-08-16 12:21:56 EDT
now udev-113-10 is installed

the output from udevmonitor:

# udevmonitor
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1187281077.386471] add      /devices/pci0000:00/0000:00:1d.7/usb5/5-6 (usb)
UEVENT[1187281077.386506] add      /class/usb_endpoint/usbdev5.5_ep00 (usb_endpoint)
UEVENT[1187281077.386816] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0 (usb)
UEVENT[1187281077.386862] add      /class/usb_endpoint/usbdev5.5_ep02 (usb_endpoint)
UEVENT[1187281077.386905] add      /class/usb_endpoint/usbdev5.5_ep86 (usb_endpoint)
UEVENT[1187281077.386967] add      /class/usb_device/usbdev5.5 (usb_device)
UDEV  [1187281077.388208] add      /devices/pci0000:00/0000:00:1d.7/usb5/5-6 (usb)
UDEV  [1187281077.490602] add      /class/usb_endpoint/usbdev5.5_ep00 (usb_endpoint)
UEVENT[1187281077.558757] add      /module/usb_storage (module)
UEVENT[1187281077.559174] add      /bus/usb/drivers/usb-storage (drivers)
UEVENT[1187281077.559317] add      /class/scsi_host/host5 (scsi_host)
UDEV  [1187281077.559686] add      /module/usb_storage (module)
UDEV  [1187281077.560360] add      /bus/usb/drivers/usb-storage (drivers)
UDEV  [1187281077.590288] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0 (usb)
UDEV  [1187281077.700652] add      /class/usb_endpoint/usbdev5.5_ep86 (usb_endpoint)
UDEV  [1187281077.701665] add      /class/scsi_host/host5 (scsi_host)
UDEV  [1187281077.703425] add      /class/usb_endpoint/usbdev5.5_ep02 (usb_endpoint)
UDEV  [1187281077.706148] add      /class/usb_device/usbdev5.5 (usb_device)
UEVENT[1187281082.559556] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UEVENT[1187281082.559576] add      /class/scsi_disk/5:0:0:0 (scsi_disk)
UEVENT[1187281082.645392] add      /block/sdc (block)
UEVENT[1187281082.645414] add      /block/sdc/sdc1 (block)
UEVENT[1187281082.645621] add      /class/scsi_device/5:0:0:0 (scsi_device)
UEVENT[1187281082.645701] add      /class/scsi_generic/sg4 (scsi_generic)
UDEV  [1187281082.861766] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UDEV  [1187281082.964628] add      /class/scsi_disk/5:0:0:0 (scsi_disk)
UDEV  [1187281082.967966] add      /class/scsi_generic/sg4 (scsi_generic)
UDEV  [1187281083.168804] add      /class/scsi_device/5:0:0:0 (scsi_device)
UDEV  [1187281083.182767] add      /block/sdc (block)
UDEV  [1187281083.924848] add      /block/sdc/sdc1 (block)
Comment 3 Harald Hoyer 2007-08-16 12:28:19 EDT
seems to be all right.. passing the ball to HAL...
Comment 4 Martin 2007-08-16 19:35:08 EDT
Created attachment 161704 [details]
hald informations

more Information about the hal daemon attached.
Comment 5 Radu Nitu 2007-10-10 10:13:31 EDT
I'm having the same problem with USB not automounting. I am using
udev-113-12.fc7 which is a bit newer.

Here's my udevmonitor output:

udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1192025528.863852] add      /devices/pci0000:00/0000:00:1d.7/usb5/5-8 (usb)
UEVENT[1192025528.864015] add      /class/usb_endpoint/usbdev5.5_ep00 (usb_endpoint)
UEVENT[1192025528.864171] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-8/5-8:1.0 (usb)
UEVENT[1192025528.864769] add      /class/scsi_host/host5 (scsi_host)
UEVENT[1192025528.864888] add      /class/usb_endpoint/usbdev5.5_ep81 (usb_endpoint)
UEVENT[1192025528.864945] add      /class/usb_endpoint/usbdev5.5_ep02 (usb_endpoint)
UEVENT[1192025528.865000] add      /class/usb_device/usbdev5.5 (usb_device)
UEVENT[1192025533.867723] add     
/devices/pci0000:00/0000:00:1d.7/usb5/5-8/5-8:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UEVENT[1192025533.867765] add      /class/scsi_disk/5:0:0:0 (scsi_disk)
UEVENT[1192025534.127473] add      /block/sdd (block)
UEVENT[1192025534.127510] add      /block/sdd/sdd4 (block)
UEVENT[1192025534.127643] add      /class/scsi_device/5:0:0:0 (scsi_device)
UEVENT[1192025534.127776] add      /class/scsi_generic/sg4 (scsi_generic)

Comment 6 deepak 2007-11-11 21:38:57 EST
THe HAL daemon might not be started 
or
just check for the loose ports
Comment 7 Laith Juwaidah 2007-11-19 15:22:47 EST
Since everything is alright, could it be a GNOME missconfiguration?

Go to System > Preferences > Removable Drives and Media, make sure that the 
top three checkboxes are checked, and try again :)
Comment 8 John Heidemann 2007-11-27 10:21:39 EST
It now Works For Me in F8.
Comment 9 Keerthi Prashanth S. 2007-12-24 01:58:34 EST
hi,
i tried yum --enablerepo=updates-testing update udev it happened...but after
that when i run the command udevmonitor there is no response..The outut it shows
as:-
[root@abc ~]# udevmonitor
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent
 
After this nothing is coming in the screen...
According to deepak THe HAL daemon might not be started 
or
just check for the loose ports..I checked for the loose ports but no loose ports
and i restarted the HAL daemon but the result is sane..
According to Laith Juwaidah Go to System > Preferences > Removable Drives and
Media, make sure that the 
top three checkboxes are checked, and try again :)..I tried it also but
everything is fine there...

Could u please let me know what to do next?
Thanks,
Keerthi S.
Comment 10 Keerthi Prashanth S. 2007-12-24 01:59:51 EST
By the way i am using FC7...

Thanks,
Keerthi S
Comment 11 Terry 2008-01-29 10:45:28 EST
i have the same problem with a more recent udev:

Installed Packages
ConsoleKit.x86_64                        0.2.1-2.fc7            installed       
ConsoleKit-libs.x86_64                   0.2.1-2.fc7            installed       
ConsoleKit-x11.x86_64                    0.2.1-2.fc7            installed       
dbus.i386                                1.0.2-6.fc7            installed       
dbus.x86_64                              1.0.2-6.fc7            installed       
dbus-devel.i386                          1.0.2-6.fc7            installed       
dbus-devel.x86_64                        1.0.2-6.fc7            installed       
dbus-glib.x86_64                         0.73-3.fc7             installed       
dbus-glib.i386                           0.73-3.fc7             installed       
dbus-glib-devel.x86_64                   0.73-3.fc7             installed       
dbus-python.x86_64                       0.82.3-1.fc7           installed       
dbus-x11.x86_64                          1.0.2-6.fc7            installed       
hal.x86_64                               0.5.9-8.fc7            installed       
hal-cups-utils.x86_64                    0.6.13-2.fc7           installed       
hal-devel.x86_64                         0.5.9-8.fc7            installed       
hal-devel.i386                           0.5.9-8.fc7            installed       
hal-info.noarch                          20070516-2.fc7         installed       
hal-libs.i386                            0.5.9-8.fc7            installed       
hal-libs.x86_64                          0.5.9-8.fc7            installed       
kernel.x86_64                            2.6.23.12-52.fc7       installed       
kernel.x86_64                            2.6.23.1-10.fc7        installed       
kernel-headers.x86_64                    2.6.23.12-52.fc7       installed       
kernel-xen.x86_64                        2.6.21-6.fc7           installed       
kernel-xen.x86_64                        2.6.20-2936.fc7        installed       
udev.x86_64                              116-3.fc7              installed  

The USB stick is recognised as /dev/sdb but not automounted to /media/.
Comment 12 Bug Zapper 2008-05-14 10:00:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 22:10:33 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.